## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate prettytable-rs

Name:           rust-prettytable-rs
Version:        0.10.0
Release:        %autorelease
Summary:        Library for printing pretty formatted tables in terminal

License:        BSD-3-Clause
URL:            https://crates.io/crates/prettytable-rs
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * prevent useless executable from being built and shipped
Patch:          prettytable-rs-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A library for printing pretty formatted tables in terminal.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+csv-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+csv-devel %{_description}

This package contains library source intended for building other packages which
use the "csv" feature of the "%{crate}" crate.

%files       -n %{name}+csv-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+evcxr-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+evcxr-devel %{_description}

This package contains library source intended for building other packages which
use the "evcxr" feature of the "%{crate}" crate.

%files       -n %{name}+evcxr-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+win_crlf-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+win_crlf-devel %{_description}

This package contains library source intended for building other packages which
use the "win_crlf" feature of the "%{crate}" crate.

%files       -n %{name}+win_crlf-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Aug 07 2023 Fabio Valentini <decathorpe@gmail.com> - 0.10.0-1
- Update to version 0.10.0; Fixes RHBZ#2118368

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Dec 14 03:18:07 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.8.0-4
- Bump term to 0.6

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 22 16:26:24 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-2
- Regenerate

* Thu Mar 14 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-1
- Initial package

